Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.inOut
Class C_SneadyFileInteractor

    java.lang.Object
      de.farafin.snEADy.inOut.C_SneadyFileInteractor

    public final class C_SneadyFileInteractor

extends java.lang.Object

Author:
  roland, lars TODO what does that class do?

Field Summary
`(package private) static char[]` | `hexChar`

Constructor Summary
`C_SneadyFileInteractor()`

Method Summary
`static D_Level` | `getLevelHeader(java.lang.String levelName)` loads a level without the playfield
`static java.lang.String` | `getPlayerComment(java.lang.String playerName)`
`static java.lang.String` | `getPlayerName(java.lang.String playerName)` gets the static player name
`static java.lang.String[]` | `getReplayHeader(java.lang.String replayName)` gets the replay header as string array return[0]: levelname return[1]: player count return[2]: gamelength return[3 - 12]: playernames
`static D_Level` | `loadLevel(java.lang.String levelName)` Loads a level of a specified file.
`static java.lang.Class` | `loadPlayerClass(java.lang.String className)`
`static java.lang.String` | `toHexString(byte b)`
`static java.lang.String` | `toHexString(byte[] b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hexChar

    static char[] hexChar

Constructor Detail

### C_SneadyFileInteractor

    public C_SneadyFileInteractor()

Method Detail

### loadPlayerClass

    public static java.lang.Class loadPlayerClass(java.lang.String className)

  Parameters:
    `className` - the name of the class that should be loaded
  Returns:
    an instance of the loaded class or null if the load failed

### getPlayerName

    public static java.lang.String getPlayerName(java.lang.String playerName)

  gets the static player name

  Parameters:
    `playerName` -
  Returns:
    the player name

### getPlayerComment

    public static java.lang.String getPlayerComment(java.lang.String playerName)

  Parameters:
    `playerName` - the class of which the comment should be red from
  Returns:
    the comment
  See Also:
    `Player.comment`

### getLevelHeader

    public static D_Level getLevelHeader(java.lang.String levelName)

  loads a level without the playfield

  Parameters:
    `levelName` - the name of the level that should be loaded
  Returns:
    the loaded level, but without the playfield
  See Also:
    `C_LevelLoader`

### loadLevel

    public static D_Level loadLevel(java.lang.String levelName)

  Loads a level of a specified file. Also computes errors of the file and the case that the file is not found.

  Parameters:
    `levelName` - the name of the level that should be loaded
  Returns:
    the level

### getReplayHeader

    public static java.lang.String[] getReplayHeader(java.lang.String replayName)

  gets the replay header as string array return[0]: levelname return[1]: player count return[2]: gamelength return[3 - 12]: playernames

  Parameters:
    `replayName` - the replay from which the header should be read from.
  Returns:
    the header as string array

### toHexString

    public static java.lang.String toHexString(byte b)

### toHexString

    public static java.lang.String toHexString(byte[] b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD